#include <cstring>
#include <print>

import CString;

// main() Funktion
int main()
{
    // Zwei String Objekte definieren
    CString myString1("Das ist der erste String");
    CString myString2("und das der zweite");

    // Beide Strings ausgeben
    std::println("Ausgangs-Strings:\n{}\n{}",
        myString1.GetString(), myString2.GetString());

    // Nun neue Texte den Strings zuweisen
    myString1 = "Dieser Text wird dupliziert";
    myString2 = myString1;

    // Beide Strings ausgeben
    // Beide Strings ausgeben
    std::println("\nNach der Zuweisung:\n{}\n{}",
        myString1.GetString(), myString2.GetString());
}
